## ANGLE Phase Angle Function

Section: Mathematical Functions

### Usage

Compute the phase angle in radians of a complex matrix. The general syntax for its use is

      p = angle(c)

where `c` is an `n`-dimensional array of numerical type.

### Function Internals

For a complex number `x`, its polar representation is given by

and we can compute

### Example

Here are some examples of the use of `angle` in the polar decomposition of a complex number.

    --> x = 3+4*i
    x =
      <dcomplex>  - size: [1 1]
      3+ 4i
    --> a = abs(x)
    a =
      <double>  - size: [1 1]
     5
    --> t = angle(x)
    t =
      <double>  - size: [1 1]
     0.9272952180016122
    --> a*exp(i*t)
    ans =
      <dcomplex>  - size: [1 1]
     3.0000000000000004+3.9999999999999996i

M version contributor: M.W. Vogel 01-30-06